### Method

# Gtk ColumnViewRowset_selectable

since: 4.12

#### Declaration [src]

    void
    gtk_column_view_row_set_selectable (
      GtkColumnViewRow* self,
      gboolean selectable
    )

#### Description [src]

Sets `self` to be selectable.

If a row is selectable, clicking on the row or using the keyboard will try to select or unselect the row. Whether this succeeds is up to the model to determine, as it is managing the selected state.

Note that this means that making a row non-selectable has no influence on the selected state at all. A non-selectable row may still be selected.

By default, rows are selectable.

Available since: 4.12

Sets property | `Gtk.ColumnViewRow:selectable`

#### Parameters

`selectable`

  Type: `gboolean`

  If the row should be selectable.